RIO_ROUTE_ADD_ENTRY(9)

NAME
rio_route_add_entry - Add a route entry to a switch routing table

SYNOPSIS

int rio_route_add_entry (struct rio_mport * mport, struct rio_dev * rdev, u16 table, u16 route_destid, u8 route_port);

ARGUMENTS

mport
    Master port to send transaction

rdev
    Switch device

table
    Routing table ID

route_destid
    Destination ID to be routed

route_port
    Port number to be routed

DESCRIPTION

Calls the switch specific add_entry method to add a route entry on a switch. The route table can be specified using the table argument if a switch has per port routing tables or the normal use is to specific all tables (or the global table) by passing RIO_GLOBAL_TABLE in table. Returns 0 on success or -EINVAL on failure.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.